c64cpu Class Reference
Inheritance diagram for c64cpu:

## Public Member Functions

| c64cpu (c64env *env)
uint8_t | cpuRead (uint_least16_t addr)
void | cpuWrite (uint_least16_t addr, uint8_t data)
Public Member Functions inherited from MOS6510
void | reset ()
void | debug (bool enable, FILE *out)
void | setRDY (bool newRDY)
void | triggerRST ()
void | triggerNMI ()
void | triggerIRQ ()
void | clearIRQ ()

## Additional Inherited Members

Static Public Member Functions inherited from MOS6510
static const char * | credits ()
Static Public Attributes inherited from MOS6510
static const int | SR_INTERRUPT = 2
| Status register interrupt bit.
Protected Member Functions inherited from MOS6510
| MOS6510 (EventContext *context)

## Member Function Documentation

## cpuRead()

uint8_t c64cpu::cpuRead | ( | uint_least16_t | addr | ) |

inline virtual

Get data from system environment.

Parameters

  address |

Returns
  data byte CPU requested

Implements MOS6510.

## cpuWrite()

void c64cpu::cpuWrite | ( | uint_least16_t | addr,
|  | uint8_t | data
| ) |  |

inline virtual

Write data to system environment.

Parameters

  address |
  data |

Implements MOS6510.

The documentation for this class was generated from the following file:

- c64cpu.h